---
title: '-webkit-text-stroke-width'
slug: Web/CSS/-webkit-text-stroke-width
tags:
  - CSS
  - CSS Property
  - Non-standard
  - Reference
  - WebKit
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>-webkit-text-stroke-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies the width of the stroke for text.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css notranslate">/* Keyword values */
-webkit-text-stroke-width: thin;
-webkit-text-stroke-width: medium;
-webkit-text-stroke-width: thick;

/* &lt;length&gt; values */
-webkit-text-stroke-width: 2px;
-webkit-text-stroke-width: 0.1em;
-webkit-text-stroke-width: 1mm;
-webkit-text-stroke-width: 5pt;

/* Global values */
-webkit-text-stroke-width: inherit;
-webkit-text-stroke-width: initial;
-webkit-text-stroke-width: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;line-width&gt;</code></dt>
 <dd>The width of the stroke.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Varying_stroke_widths">Varying stroke widths</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  margin: 0;
  font-size: 4em;
  -webkit-text-stroke-color: red;
}

#thin {
  -webkit-text-stroke-width: thin;
}

#medium {
  -webkit-text-stroke-width: 3px;
}

#thick {
  -webkit-text-stroke-width: 1.5mm;
}
</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p id="thin"&gt;Thin stroke&lt;/p&gt;
&lt;p id="medium"&gt;Medium stroke&lt;/p&gt;
&lt;p id="thick"&gt;Thick stroke&lt;/p&gt;
</pre>

<h4 id="Results">Results</h4>

<p>{{EmbedLiveSample("Varying_stroke_widths", "450px", "230px")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Compat', '#the-webkit-text-stroke-width', '-webkit-text-stroke-width')}}</td>
   <td>{{Spec2('Compat')}}</td>
   <td>Initial standardization</td>
  </tr>
  <tr>
   <td><a class="external external-icon" href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/doc/uid/TP30001266--webkit-text-stroke-width" hreflang="en" lang="en">Safari CSS Reference<br>
    <small lang="en-US">'-webkit-text-stroke-width' in that document.</small></a></td>
   <td>Non-standard unofficial documentation</td>
   <td>Initial documentation</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-text-stroke-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.webkit.org/blog/85/introducing-text-stroke/">Surfin' Safari blog post announcing this feature</a></li>
 <li><a href="https://css-tricks.com/adding-stroke-to-web-text/">CSS-Tricks article explaining this feature</a></li>
 <li>{{cssxref("-webkit-text-stroke-color")}}</li>
 <li>{{cssxref("-webkit-text-stroke")}}</li>
 <li>{{cssxref("-webkit-text-fill-color")}}</li>
</ul>
